<?php
class folding
{
	function Cipher($text)
	{
		$panjang = strlen($text);
		if($panjang % 2 == 0)
		{
			$tengah = $panjang/2;
			$satu = substr($text, 0, $tengah);
			$dua = substr($text, $tengah, $panjang);
			$duabalik = strrev($dua);
			return $duabalik.$satu;
		} else
		{
			$tengah = ($panjang + 1)/2;
			$satu = substr($text, 0, $tengah);
			$dua = substr($text, $tengah, $panjang);
			$duabalik = strrev($dua);
			return $duabalik.$satu;
		}
	}

	function Decipher($text)
	{
		$panjang = strlen($text);
		if($panjang % 2 == 0)
		{
			$tengah = $panjang/2;
			$satu = substr($text, 0, $tengah);
			$satubalik = strrev($satu);
			$dua = substr($text, $tengah, $panjang);
			return $dua.$satubalik;
		} else
		{
			$tengah = ($panjang - 1)/2;
			$satu = substr($text, 0, $tengah);
			$satubalik = strrev($satu);
			$dua = substr($text, $tengah, $panjang);
			return $dua.$satubalik;
		}
	}
}